#!/bin/bash
#Audioblast enter USERNAME & SERIAL

if [ $SUDO_USER ]; then
    user=$SUDO_USER
else
    user=$(whoami)
fi


AUDIOBLASTDIR="/home/$user/.audioblast"
if [ ! -d "$AUDIOBLASTDIR" ]; then
  #echo "$AUDIOBLASTDIR does not exist, creating !"
  mkdir -m 777 -p $AUDIOBLASTDIR
fi


MINILOOPERDIR="$AUDIOBLASTDIR/MiniLooper"
if [ ! -d "$MINILOOPERDIR" ]; then
  #echo "$MINILOOPERDIR does not exist, creating !"
  mkdir -m 777 -p $MINILOOPERDIR
fi


CONFIGFILE="$MINILOOPERDIR/MiniLooper.conf"
if [ ! -f "$CONFIGFILE" ]; then
	echo "Please enter you username and serial to unlock MiniLooper VST3"
	read -p 'USERNAME : ' uservar
	read -p 'SERIAL : ' serialvar

    	echo "[General]" > $CONFIGFILE
    	echo "UserName=$uservar" >> $CONFIGFILE
    	echo "UserSerial=$serialvar" >> $CONFIGFILE
fi


exit
